curl "https://services-staging.getplu.com/api/v1/partner/card/transactions?skip=0&limit=20" \
-H "Authorization: Bearer sk_staging_your_api_key"
{
"status": "success",
"message": "Transactions retrieved",
"data": {
"transactions": [
{
"serviceTransactionId": "acme-card-transactions-pqr345",
"serviceCardId": "acme-card-xyz789jkl012mno",
"amount": 42.50,
"currency": "USD",
"status": "settled",
"transactionType": "purchase",
"description": "Online purchase",
"merchantName": "Amazon",
"merchantCountry": "US",
"createdAt": "2025-01-15T14:30:00.000Z"
},
{
"serviceTransactionId": "acme-card-transactions-stu678",
"serviceCardId": "acme-card-xyz789jkl012mno",
"amount": 15.00,
"currency": "USD",
"status": "authorized",
"transactionType": "purchase",
"description": "Pending transaction",
"merchantName": "Netflix",
"merchantCountry": "US",
"createdAt": "2025-01-15T16:00:00.000Z"
}
],
"pagination": {
"skip": 0,
"limit": 20,
"total": 2
}
}
}
List card transactions across all cards or for a specific card
curl "https://services-staging.getplu.com/api/v1/partner/card/transactions?skip=0&limit=20" \
-H "Authorization: Bearer sk_staging_your_api_key"
{
"status": "success",
"message": "Transactions retrieved",
"data": {
"transactions": [
{
"serviceTransactionId": "acme-card-transactions-pqr345",
"serviceCardId": "acme-card-xyz789jkl012mno",
"amount": 42.50,
"currency": "USD",
"status": "settled",
"transactionType": "purchase",
"description": "Online purchase",
"merchantName": "Amazon",
"merchantCountry": "US",
"createdAt": "2025-01-15T14:30:00.000Z"
},
{
"serviceTransactionId": "acme-card-transactions-stu678",
"serviceCardId": "acme-card-xyz789jkl012mno",
"amount": 15.00,
"currency": "USD",
"status": "authorized",
"transactionType": "purchase",
"description": "Pending transaction",
"merchantName": "Netflix",
"merchantCountry": "US",
"createdAt": "2025-01-15T16:00:00.000Z"
}
],
"pagination": {
"skip": 0,
"limit": 20,
"total": 2
}
}
}
Returns a paginated list of card transactions. Optionally filter by a specific card.Documentation Index
Fetch the complete documentation index at: https://docs.getplu.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer sk_staging_your_api_keycurl "https://services-staging.getplu.com/api/v1/partner/card/transactions?skip=0&limit=20" \
-H "Authorization: Bearer sk_staging_your_api_key"
{
"status": "success",
"message": "Transactions retrieved",
"data": {
"transactions": [
{
"serviceTransactionId": "acme-card-transactions-pqr345",
"serviceCardId": "acme-card-xyz789jkl012mno",
"amount": 42.50,
"currency": "USD",
"status": "settled",
"transactionType": "purchase",
"description": "Online purchase",
"merchantName": "Amazon",
"merchantCountry": "US",
"createdAt": "2025-01-15T14:30:00.000Z"
},
{
"serviceTransactionId": "acme-card-transactions-stu678",
"serviceCardId": "acme-card-xyz789jkl012mno",
"amount": 15.00,
"currency": "USD",
"status": "authorized",
"transactionType": "purchase",
"description": "Pending transaction",
"merchantName": "Netflix",
"merchantCountry": "US",
"createdAt": "2025-01-15T16:00:00.000Z"
}
],
"pagination": {
"skip": 0,
"limit": 20,
"total": 2
}
}
}
| Status | Description |
|---|---|
authorized | Transaction approved, funds held |
declined | Transaction declined |
reversed | Transaction reversed (refund) |
settled | Transaction finalized |
| Type | Description |
|---|---|
purchase | Card purchase at a merchant |
withdrawal | ATM or cash withdrawal |
refund | Merchant refund |